include	clib.inc
include	conio.inc
include	keyb.inc

PPROC	consuser
local	cursor:dword
local	dialog:S_DOBJ
	invoke	getcursor, addr cursor
	mov	al,_scrrow
	push	ax
	mov	al,console_oz
	call	conssetl
	call	cursoroff
	xor	ax,ax
	mov	dialog.dl_flag,_D_DOPEN
	mov	word ptr dialog.dl_rect,ax
	mov	dialog.dl_rect.S_RECT.rc_col,80
	mov	al,console_oz
	inc	al
	mov	dialog.dl_rect.S_RECT.rc_row,al
	movmx	dialog.dl_wp,console_wp
	invoke	dlshow, addr dialog
    @@:
	call	getkey
	test	ax,ax
	jz	@B
	pop	ax
	call	conssetl
	invoke	dlhide, addr dialog
	invoke	setcursor, cursor
	xor	ax,ax
	ret
PEND	consuser

	END
